Bug 986424 - fix recent compiler warnings
Summary: fix recent compiler warnings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
: 986425 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-19 18:36 UTC by Noriko Hosoi
Modified: 2013-11-21 21:10 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.2.11.15-22.el6
Doc Type: Bug Fix
Doc Text:
Cause: Minor coding errors Consequence: Potential for memory leaks and instability Fix: Fix reported errors and warnings Result: Compiling the server does not report any issues
Clone Of:
Environment:
Last Closed: 2013-11-21 21:10:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1653 normal SHIPPED_LIVE 389-ds-base bug fix update 2013-11-20 21:53:19 UTC

Description Noriko Hosoi 2013-07-19 18:36:33 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47378

Building master on f18 with -Wall gives several warnings

Comment 2 Nathan Kinder 2013-07-21 22:16:57 UTC
*** Bug 986425 has been marked as a duplicate of this bug. ***

Comment 3 Noriko Hosoi 2013-08-07 20:55:32 UTC
These patches from 389-ds-base-1.2.11 branch are cherry-picked to rhel-6.5.

commit 6b1cdd506eecfe575fe248e25d498fd07d512736
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Wed Jul 31 13:25:00 2013 -0600
    Revert "fix coverity 11915 - dead code - introduced with fix for ticket 346"
    This reverts commit dc9192efc1c502e53e54291a8afda33f56a97d03.

commit dc9192efc1c502e53e54291a8afda33f56a97d03
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Wed Jul 31 10:52:21 2013 -0600
    fix coverity 11915 - dead code - introduced with fix for ticket 346  
    just get rid of unused variable was_present_null
    reviewed by: nhosoi (Thanks!)
    (cherry picked from commit ba70aac1991a04455ba83362e22c33f7f6ab227a)
    (cherry picked from commit fcf4154b73681752a5ac32954a1d25771a75478e)
    (cherry picked from commit 67694e7a95f72067bba84e0f6af4ff1c4af89a9e)

commit 9750ea73014b36349040e166a469ed09236c2549
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Wed Jul 31 09:53:52 2013 -0600
    fix compiler warning in posix winsync code for posix_group_del_memberuid_callback
    (cherry picked from commit f440e039a5f2a7b2ea0dd087d8e91c554abc1be0)
    (cherry picked from commit 761d9d550ca1025293dc1607760adea38ddc5452)

commit d9a1c7b527d7252195fac15636c22101ceb775bf
Author: Ludwig Krispenz <lkrispen@redhat.com>
Date:   Tue Jul 30 11:29:47 2013 +0200
     fix compiler warning
    (cherry picked from commit 904416f4631d842a105851b4a9931ae17822a107)
    (cherry picked from commit 3a5f8de21fba3656670b8ee35e020f159d4110db)
    (cherry picked from commit efcb1af30b63f91d3235914962bd4aa399bc08ba)

commit e3b8e2f82b3d5b6223c65db8649e7ddcb46ee916
Author: Mark Reynolds <mreynolds@redhat.com>
Date:   Fri Jun 14 15:28:57 2013 -0400
    Coverity Fixes (Part 7)
    11704 - Dereference after null check:  repl5_replica_config.c
    https://bugzilla.redhat.com/show_bug.cgi?id=970221
    Reviewed by: richm(Thanks!)
    (cherry picked from commit a2cfcf7ff93bf2ef7a3cf4ad2ba2c4e0bd098a3a)

commit 8212d48b57adf223c7022dba4fbdb70e7aa2080e
Author: Mark Reynolds <mreynolds@redhat.com>
Date:   Fri Jun 7 11:15:27 2013 -0400
    Fri Jun 7 10:41:00 2013 -0400  
        Coverity Fixes (Part 6)
        11611 - Unchecked value (main.c)
        11671 - Copy-paste error (cb_instance.c)
        11704 - Dereference after null check (repl5_replica_config.c)
        11766 - Resource leak (dblayer.c)
        11873 - Argument can not be negative (ldclt/data.c)
        Jenkins error:  mmldif.c
        11876 - Deference before null check (cl5_clcache.c)
        https://bugzilla.redhat.com/show_bug.cgi?id=970221
        Reviewed by: Rich(Thanks!)
    (cherry picked from commit 4a0199b3c3a73b094a7bff64404a632c3bfe7072)

commit 9ac276a838636326811284a28695c0fdea4a8d03
Author: Mark Reynolds <mreynolds@redhat.com>
Date:   Thu Jun 6 11:28:07 2013 -0400
    Coverity Fixes (Part 5) 
    11784 - Deference before null check (uiduniq/uid.c)
    11785 - Deference before null check (conntable.c)
    11786 - Deference before null check (opshared.c)
    11787 - Deference before null check (tools/dbscan.c)
    11788 - Deference before null check (tools/dbscan.c)
    11789 - Deference before null check (tools/dbscan.c)
    11790 - Allocation size mismatch (idl.c)
    11791 - Allocation size mismatch (idl.c)
    11792 - Wrong sizeof argument (dna.c)
    11793 - Stray semicolon (lib/base/util.c)
    11794 - Stray semicolon (lib/base/util.c)
    11795 - Destination buffer too small (log.c)
    11809 - Use after free (repl5_mtnode_ext.c)
    11849 - Unitialized sclara variable (dblayer.c)
    https://bugzilla.redhat.com/show_bug.cgi?id=970221
    Reviewed by: richm(Thanks!!)
    (cherry picked from commit 6d23891a44fd41aa0580cdc223667f0ca2b9e1cc)

commit 3ab5aba6252798b895953a6f2af50916d3525ceb
Author: Mark Reynolds <mreynolds@redhat.com>
Date:   Wed Jun 5 16:19:57 2013 -0400
    Coverity Fixes (Part 4)
    11753 - Resource leak (aclparse.c)
    11754 - Resource leak (dna.c)
    11755 - Resource leak (dna.c)
    11756 - Resource leak (linked_attrs.c)
    11757 - Resource leak (pam_ptconfig.c)
    11758 - Resource leak (repl5_replica_config.c)
    11759 - Resource leak (windows_inc_protocol.c)
    11760 - Resource leak (syntaxes/value.c)
    11761 - Resource leak (dblayer.c)
    11764 - Resource leak (dblayer.c)
    11766 - Resource leak (dblayer.c)
    11769 - Resource leak (entry.c)
    11770 - Resource leak (entry.c)   
    11773 - Resource leak (schema.c)
    11774 - Resource leak (snmp_collator.c)
    11775 - Resource leak (ldclt/data.c)
    11776 - Resource leak (tools/mmldif.c)
    11777 - Resource leak (snmp/main.c)
    11778 - Resource leak (lib/libutil/dbconf.c)
    11779 - Resource leak (lib/libaccess/register.cpp)
    11781 - Resource leak (lib/libadmin/error.c)
    11872 - Resource leak (agtmmap.c)   
    https://bugzilla.redhat.com/show_bug.cgi?id=970221
    Reviewed by: nhosoi(Thanks!)
    (cherry picked from commit 26127d5f7a96c33dfc46f3c8fc21de07455ea667)

commit 36f25726b9723f743bc240cb44b88f74ad478ef2
Author: Mark Reynolds <mreynolds@redhat.com>
Date:   Wed Jun 5 12:15:05 2013 -0400
    Coverity Fixes (Part 3)
    11692 - Explicit null dereferenced (libavl/avl.c)
    11695 - Explicit null dereferenced (cb_conn_stateless.c)
    11696 - Explicit null dereferenced (memberof_config.c)
    11697 - Explicit null dereferenced (memberof.c)
    11698 - Explicit null dereferenced (memberof.c)
    11699 - Explicit null dereferenced (memberof.c)
    11700 - Explicit null dereferenced (memberof.c)
    11701 - Explicit null dereferenced (cl5_api.c)
    11702 - Explicit null dereferenced (cl5_api.c)
    11703 - Dereference after null check (cl5_clcache.c)
    11704 - Dereference after null check (repl5_replica_config.c)
    11705 - Explicit null dereferenced (syntaxes/string.c)
    11706 - Dereference after null check (plugin.c)
    11707 - Dereference after null check (plugin.c)
    11711 - Dereference after null check (ldif2ldbm.c)
    11726 - Dereference after null check (valueset.c)
    11729 - Explicit null dereferenced (libaccess/oneeval.cpp)
    11744 - Explicit null dereferenced (dbverify.c)
    11745 - Out-of-bounds read (linked_attrs.c)
    11745 - Out-of-bounds read (memberof.c)
    https://bugzilla.redhat.com/show_bug.cgi?id=970221
    Reviewed by: richm(Thanks!)

commit 41a882743c7c21575ed5365fe0484bc8d96edc6f
Author: Mark Reynolds <mreynolds@redhat.com>
Date:   Tue Jun 4 13:25:22 2013 -0400
    Coverity Fixes (Part 2)
    11674 - logically dead code (collate.c)
    11675 - logically dead code (windows_protocol_util.c)
    11676 - logically dead code (index.c)
    11677 - logically dead code (ldbm_entryrdn.c)
    11678 - logically dead code (ldbm_entryrdn.c)
    11680 - logically dead code (ldbm_search.c)
    11681 - Dead default in switch (seq.c)
    11683 - logically dead code (bind.c)
    11684 - logically dead code (connection.c)
    11686 - Dead default in switch (log.c)
    11687 - Dead default in switch (log.c)
    11688 - Dead default in switch (log.c)
    11689 - Dead default in switch (log.c)
    11690 - Dead default in switch (log.c)
    11691 - Dead default in switch (log.c)
    https://bugzilla.redhat.com/show_bug.cgi?id=970221
    Reviewed by: nhosoi(Thanks!)
    (cherry picked from commit db673270e9a01e48adb22d94e676f25a223f407b)

commit f771f95f3f34442a9c238b687227d1d17a1015e7
Author: Mark Reynolds <mreynolds@redhat.com>
Date:   Mon Jun 3 17:17:24 2013 -0400
    Coverity Fixes (part 1)
    11648 - string length miscalulation (ldclt.c)
    11655 - unchecked return value (agtmmap.c)
    11656 - unchecked return value (dblayer.c)
    11657 - unchecked return value (daemon.c)
    11658 - unchecked return value (daemon.c)
    11660 - unchecked return value (log.c)
    11661 - unchecked return value (main.c)
    11662 - unchecked return value (ssl.c)
    11668 - Same on both sides (repl5_protocol_util.c)
    11669 - Same on both sides (ssl.c)
    11670 - Same on both sides (util.c)
    11673 - Copy-and-paste error (tools/rsearch/sdattable.c)
    https://bugzilla.redhat.com/show_bug.cgi?id=970221
    Reviewed by: Noriko(Thanks!)
    (cherry picked from commit 2b5aecb77784a9cf68fe29204f15bd4b61159d6d)

Comment 5 Sankar Ramalingam 2013-09-02 10:43:26 UTC
No regressions found with automated acceptance tests. Hence , marking the bug as Verified.

Comment 6 errata-xmlrpc 2013-11-21 21:10:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1653.html


Note You need to log in before you can comment on or make changes to this bug.